Docs

Direct Debit · API reference · customers

List Customers

GET /customers
Try it ▸

Base URL not set in the spec · operationId list_customers_customers_get

Get all customers with pagination.

Authorization

The spec does not declare an authentication scheme for this endpoint.

Query parameters

skip integer
Default 0
limit integer
Default 100

Headers

X-API-Key string | null

Responses

200 Successful Response application/json
customers array of CustomerResponse required
name customers[].name string required

Customer full name

org_id customers[].org_id string (uuid) required

ID of the organization this customer belongs to

document_type customers[].document_type string required

Type of document (e.g., 'MX_RFC', 'PASSPORT')

mx_rfc mx_curp passport
document_number customers[].document_number string required

Document number

email customers[].email string (email) | null

Customer email address

phone_number customers[].phone_number string | null

Customer phone number

customer_metadata customers[].customer_metadata object | null

Additional customer metadata

id customers[].id string (uuid) required
created_at customers[].created_at string (date-time) required
updated_at customers[].updated_at string (date-time) | null
total integer required
skip integer required
limit integer required
422 Validation Error application/json
detail array of ValidationError
loc detail[].loc array of (string | integer) required
msg detail[].msg string required
type detail[].type string required
This request is in the Monato · Direct Debit Postman collection, folder customers.Download collection

Request

curl -X GET "$BASE_URL/customers" \
  -H "X-API-Key: $API_KEY"